<!--Verification Section-->
<mat-card class="mat-elevation-z0" *ngIf="!isPsychosocialAttachment">
  <div class="mat-elevation-z0" fxLayout="column">
    <div class="mat-elevation-z4 consentBackGround">
      <form class="section" [formGroup]="psychosocialGroup" autocomplete="off">
        <div class="content-main regular-mat-form-field">

          <div class="content-sub">
            <mat-label class="redLabelBoldLargeText content-sub-label-history consent-margin-psychiatric">Verification
            </mat-label>
          </div>

          <div class="content-sub line-height-20 consent-margin-psychiatric" style="align-items: baseline !important;">
            <mat-checkbox formControlName="verificationConsent" (change)="onIsConsentCheckChange($event)">
            </mat-checkbox>
            <mat-label class="redLabelText consent-margin-psychosocial">I verify that my agency has on record the
              "Comprehensive
              Psychosocial Summary" completed
              within the last 180 days and signed by a qualified professional (e.g. social worker, case manager, or
              discharge planner, etc.).
            </mat-label>
          </div>
          <br />
          <div class="content-sub">
            <mat-label class="content-sub-col1" style="padding-right: 2% !important;">Verified By :</mat-label>
            <mat-label class="content-sub-col2" style="padding-right: 4% !important;">{{ verifiedByName }}</mat-label>
            <mat-label class="content-sub-col3" style="padding-right: 1% !important;">Verified Date : </mat-label>
            <mat-label class="content-sub-col4" style="padding-right: 4% !important;">{{ verifiedDate }}</mat-label>
          </div>

          <div class="content-sub mat-form-field-mr-20">
            <mat-label class="content-sub-col1">Name of Qualified Professional :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col2 mat-form-field-mr-20">
              <input matInput name="qualifiedProfessionalName" formControlName="qualifiedProfessionalName" required
                maxlength="50">
            </mat-form-field>

            <mat-label class="content-sub-col3">Date of Psychosocial Summary :</mat-label>
            <mat-form-field appearance="outline" class="content-sub-col4 mat-form-field-mr-20">
              <input matInput [matDatepicker]="picker" formControlName="summaryDate" placeholder="MM/DD/YYYY"
                [min]="minDate" [max]="maxDate" maxlength="10" required dateOnly (change)="validateDate()">
              <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
              </mat-icon>
              <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
          </div>
        </div>

      </form>
    </div>
  </div>
</mat-card>

<!--Data Entered Section-->
<div style="margin-top: 10px;" *ngIf="!isPsychosocialAttachment">
  <mat-card class="mat-elevation-z0">
    <div class="mat-elevation-z0" fxLayout="column">
      <div class="mat-elevation-z4">
        <form [formGroup]="psychosocialGroup" autocomplete="off">

          <div class="content-main">

            <div class="content-sub">
              <mat-label class="labelBoldText content-sub-label-history consent-margin-psychiatric">Enter Comprehensive
                Psychosocial
                Evaluation</mat-label>
            </div>
            <div class="content-sub">
              <mat-label class="redLabelText content-sub-label-history consent-margin-psychiatric">Reminder: System will
                time out after 15
                minutes of inactivity. If you are directly typing a Psychosocial
                Evaluation in this field please remember to save, by clicking on the Save button, within the 15
                minute security allowance.</mat-label>
            </div>
            <div class="content-sub">
              <mat-form-field appearance="outline" class="content-sub-field consent-margin-psychiatric">
                <textarea matTextareaAutosize matAutosizeMinRows="10" matAutosizeMaxRows="15" matInput
                  #comprehensiveEval name="comprehensiveEval" formControlName="comprehensiveEval" required
                  maxlength="30000" (input)="autoSaveComprehensiveEvaluation($event.target.value, 'Type')"
                  (change)="autoSaveComprehensiveEvaluation($event.target.value, 'Paste')"></textarea>
                <mat-hint class="content-sub-label-hint1">(Maximum entry of 30000 characters;
                  {{30000 - comprehensiveEval.value?.length || 0}} characters remaining)</mat-hint>
              </mat-form-field>
            </div>
          </div>

        </form>
      </div>
    </div>
  </mat-card>
</div>

<!--Document Attached Section-->
<div style="margin-top: 10px;" fxLayout="column" *ngIf="isPsychosocialAttachment">
  <mat-card class="mat-elevation-z0">
    <div class="mat-elevation-z0" fxLayout="column">
      <div class="mat-elevation-z4">
        <form>
          <div>
            <div>
              <app-document [preSelectedDocType]="53" (uploadFinished)="onUploadFinish($event)"
                [docTitle]="'Attach Comprehensive Psychosocial Evaluation'">
              </app-document>
            </div>
          </div>
        </form>
      </div>
    </div>
  </mat-card>
</div>
<!--Buttons Section-->
<div class="content-main margin-top-buttons">
  <div class="content-sub">
    <div class="content-sub-button-parent-left" *ngIf="!isPsychosocialAttachment">
      <button type="button" mat-raised-button color="primary" (click)="savePsychoSocialEvaluation()">Save</button>

      &nbsp;&nbsp;
      <span>
        <button type="button" mat-raised-button color="primary" (click)="openReport()">Psychosocial Summary</button>
      </span>
    </div>

    <div class="content-sub-button-parent-right">
      <button type="button" mat-raised-button color="primary" (click)="previousTab()">Previous</button>
      &nbsp;&nbsp;<button type="button" mat-raised-button color="primary" (click)="nextTab()">Next</button>
    </div>
  </div>
</div>